<?php
/**
 * ----------------------------------------------------------
 * Copyright (c) 2005  KLIK! Klein Informatik  
 *                     www.klik-info.ch rklein@klik-info.ch
 * ----------------------------------------------------------
 *
 * KLIK! Mini-Shop
 *
 * Dieses Skript darf nicht in Projekten verwendet werden, die
 * faschistisches, rassistisches, sexistisches oder 
 * fanatisch-religioeses Gedankengut propagieren.
 *
 * @author      Roger Klein
 * @copyright   Frei einsetzbar, solange obige Vorgabe erfuellt ist
 *              und alle (c) Kommentar-Zeilen im Code bleiben
 * @version     1.0 | 2005-10-12
 */

ini_set("arg_separator.output","&amp;");

require_once 'inc/warenkorb.php';
require_once 'inc/db_login.php';
require_once 'inc/aufklapp_oop.php';
require_once 'inc/form_fus.php';

$kategorie_id = isset($_REQUEST['kategorie_id']) ? $_REQUEST['kategorie_id'] : 1;

session_start();

if (!isset($_SESSION['mein_koerbli']))
{
    $mein_koerbli = &new WarenKorb;
}
else 
{
    $mein_koerbli = $_SESSION['mein_koerbli'];
}

if (isset($_POST['killkorb']))
{
    session_destroy();
    $mein_koerbli->entleereWarenkorb();
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/2000/REC-xhtml1-20000126/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
<head>

<!--  KLIK! Mini-Shop, Roger Klein, Version 1.0, 2005-10-12    -->
<!--  (c) KLIK! Klein Informatik, rklein[at]klik-info[dot]ch   -->
<!--  Frei einsetzbar mit diesem Hinweistext                   -->

<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<title>KLIK! Mini-Shop</title>
<script type="text/javascript" language="Javascript"><!--
function nw(url,b,h,fenster){ 
    n = window.open(url,fenster,"width="+b+",height="+h+",left=100,screenX=20,menubar=0,toolbar=0,scrollbars=1");
    n.focus();
}
//-->
</script>
<link rel="stylesheet" href="korb.css" type="text/css" />
</head>
<body>
<div id="titel">
<h3>KLIK! Mini-Shop</h3>
</div>
<div id="aufklapp">
<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
<?php
// Aufklapp-Menue 'Kategorien' erstellen
$select_name = 'kategorie_id';
$abfrage     = 'SELECT k_id, kat
                FROM ' . $tbl_prefix . 'kategorien
                WHERE aktiv = 1
                ORDER BY sortierung';
$ergebnis    = mysql_query($abfrage);
$arr_items   = array();
while ($datensatz = mysql_fetch_array($ergebnis, MYSQL_ASSOC)) 
{
    $arr_items[$datensatz['k_id']] = $datensatz['kat'];
}
$kat_menu =& new AufklappMenu($kategorie_id, $arr_items, $select_name);
echo $kat_menu->erzeugeMenu();
?>
</form>
</div>
<?php
// Artikel auflisten
$abfrage  = 'SELECT a_id, artikel, kurzbeschrieb, bild, preis
             FROM '.$tbl_prefix.'artikel
             WHERE aktiv = 1 AND k_id = '.$kategorie_id;
$ergebnis = mysql_query($abfrage);
if (TRUE == $ergebnis)
{
?>
<div id="artikelliste">
<?php
    $erste_zeile = 'j';
    while ($datensatz = mysql_fetch_array($ergebnis, MYSQL_ASSOC))
    {
        if ('j' == $erste_zeile)
        {
            echo '<div class="artikel"></div>';
            $erste_zeile = 'n';
        }
        $artikel       = htmlentities($datensatz['artikel']);
        $kurzbeschrieb = htmlentities($datensatz['kurzbeschrieb']);
        if ('' != $datensatz['bild'])
        {
            $bild = '<a href="details.php?a_id=' . $datensatz['a_id']
                    . '" target="nw" onclick="nw(this.href,250,250,\'nw\')">'
                    . '<img src="img/foto' .$datensatz['a_id'] . '.' 
                    . $datensatz['bild']. '" border="0" alt="'
                    . $artikel . '" /></a>';
        }
        else
        {
            $bild = '<img src="img/blind.gif" height="80" width="80" '
                    . 'border="0" alt="Kein Bild vorhanden" />';
        }
        ?>
        <div class="artikel">
            <div class="artikelbild"><?php echo $bild; ?></div>
            <div class="artikelinfos">
                <a href="details.php?a_id=<?php echo $datensatz['a_id']; ?>" class="titellink" target="nw" onclick="nw(this.href,250,250,'nw')"><?php echo $artikel; ?></a><br />
                <?php echo $kurzbeschrieb; ?><br /><br />
                Preis: CHF <?php echo number_format($datensatz['preis'], 2, '.', '\''); ?> plus Porto und Verpackung<br />
                <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
                <input type="text" name="artikel_<?php echo $datensatz['a_id']; ?>" value="1" style="width:30px;margin: 0 0 0 0;" />&nbsp;&nbsp;
                <input name="button" type="image" src="img/wagen.gif" alt="Zum Einkaufskorb hinzuf&uuml;gen" style="margin-top:3px; height: 17px; width:22px; border: 0px;" />
                <input type="hidden" name="kategorie_id" value="<?php echo $kategorie_id; ?>" />
                </form>
            </div>
        </div>
        <?php
        // Verarbeitung, falls die Datensatz-ID des aktuellen
        // Datensatzes per POST uebergeben wurde
        if (isset($_POST['artikel_'.$datensatz['a_id']]))
        {
            $mein_koerbli->nimmArtikelDazu($datensatz['a_id'], filter_data($_POST['artikel_' . $datensatz['a_id']]), $datensatz['preis']);
        }
    }
?>    
</div>
<?php
}

mysql_free_result($ergebnis);
mysql_close($verbindung);

// Warenkorb-Anzeige
?>
<div id="warenkorb">
<h3>Warenkorb</h3>
<div id="warenkorbinhalt">
<?php
$aktueller_inhalt = $mein_koerbli->status();
echo 'Anzahl Artikel: <b>' .$aktueller_inhalt[0].'</b> | ';
echo 'Total: CHF <b>' . number_format($aktueller_inhalt[1], 2, '.', '\'') 
     . '</b>';

// Nicht vergessen: Geaenderten Warenkorb zurueck in die
// Session-Variable schreiben
$_SESSION['mein_koerbli'] = $mein_koerbli;
?>
</div>
<div id="warenkorblinks">
<a href="korb.php?kategorie_id=<?php echo $kategorie_id; ?>">&raquo; Warenkorb anschauen</a><br />
<a href="kasse.php?kategorie_id=<?php echo $kategorie_id; ?>">&raquo; Zur Kasse</a>
</div>
</div>
</body>
</html>